PR(1)

NAME
pr - print file

SYNOPSIS
pr [ option ... ] [ file ... ]

DESCRIPTION
Pr produces a printed listing of one or more files on its standard output. The output is separated into pages headed by a date, the name of the file or a specified header, and the page number. With no file arguments, pr prints its standard input.

Options apply to all following files but may be reset between files:

-n  Produce n-column output.

+n  Begin printing with page n.

-b  Balance columns on last page, in case of multi-column output.

-d  Double space.

-en Set the tab stops for input text every n spaces.

-h  Take the next argument as a page header (file by default).

-in Replace sequences of blanks in the output by tabs, using tab stops set every n spaces.

-f  Use form feeds to separate pages.

-ln Take the length of the page to be n lines instead of the default 66.

-m  Print all files simultaneously, each in one column.

-nm Number the lines of each file. The numeric argument m, default 5, sets the width of the line-number field.

-on Offset the left margin n character positions.

-p  Pad each file printed to an odd number of pages. For two-sided printers, this will ensure each file will start a new page.

-sc Separate columns by the single character c instead of aligning them with white space. A missing c is taken to be a tab.

-t  Do not print the 5-line header or the 5-line trailer normally supplied for each page.

-wn For multi-column output, take the width of the page to be n characters instead of the default 72.

SOURCE
/usr/local/plan9/src/cmd/pr.c

SEE ALSO
cat(1), lp(1)